- Classes
- Namespaces
- Interfaces
- Traits
- Index

PHP-FFMpeg API
Class

# FFMpeg\Filters\Video\WatermarkFilter

class WatermarkFilter implements VideoFilterInterface

## Methods

| __construct($watermarkPath, array $coordinates = array(), $priority) |
integer | getPriority() Returns the priority of the filter. |
array | apply(Video $video, VideoInterface $format) Applies the filter on the the Video media given an format. |

## Details

###
at line 26
`public __construct($watermarkPath, array $coordinates = array(), $priority)`

#### Parameters

| $watermarkPath |
array | $coordinates |
| $priority |

###
at line 36
`public integer getPriority()`

Returns the priority of the filter.

#### Return Value

integer |

###
at line 44
`public array apply(Video $video, VideoInterface $format)`

Applies the filter on the the Video media given an format.

#### Parameters

Video | $video |
VideoInterface | $format |

#### Return Value

array | An array of arguments